LibreOffice: XAnimationNode Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Attributes | List of all members
XAnimationNode Interface Reference

`import"XAnimationNode.idl";`

Inheritance diagram for XAnimationNode:

## Public Attributes
short | Type
| a value from AnimationNodeType. More...
any | Begin
| a sequence of values that define the beginning of this element Begin is More...
any | Duration
| defines the length of the simple duration. More...
any | End
| a sequence of values that define the ending of this element End is More...
any | EndSync
| controls the implicit duration of time containers, as a function of the children. More...
any | RepeatCount
| the number of iterations of the simple duration. More...
any | RepeatDuration
| the total duration for repeat. More...
short | Fill
| the attribute that specify the behavior how an element should be extended beyond the active duration by freezing the final state of the element. More...
short | FillDefault
| the default value for the fill behavior for this element and all descendants. More...
short | Restart
| defines the restart behavior of this element. More...
short | RestartDefault
| defines the default restart behavior for this element and all descendants. More...
double | Acceleration
| defines the acceleration for this element. More...
double | Decelerate
| defines the deceleration for this element. More...
boolean | AutoReverse
| defines the auto reverse settings for this element. More...
sequence< ::com::sun::star::beans::NamedValue > | UserData

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Data Documentation

## § Acceleration

double Acceleration
| attribute

defines the acceleration for this element.

Element time will accelerate from a rate of 0 at the beginning up to a run rate, over the course of the specified proportion of the simple duration.

Acceleration is a value between 0 (no acceleration) and 1 (acceleration until end of the elements duration).

See also
  http://www.w3.org/TR/smil20/smil-timemanip.html#adef-accelerate

## § AutoReverse

boolean AutoReverse
| attribute

defines the auto reverse settings for this element.

AutoReverse is

- `FALSE` if the animation is played normal.
- `TRUE` if the animation is played forwards and then backwards. This doubles the duration

See also
  http://www.w3.org/TR/smil20/smil-timemanip.html#adef-autoReverse

## § Begin

any Begin
| attribute

a sequence of values that define the beginning of this element
Begin is

- `double` describes the element begin as an offset in seconds from an implicit syncbase. The definition of the implicit syncbase depends upon the element's parent time container. The offset is measured in parent simple time.
- Event describes an event and an optional offset that determine the element begin. The element begin is defined relative to the time that the event is raised.
- Timing::INDEFINITE the begin of the element will be determined by an external event to the element.
- sequence<any> a sequence of values described above if more than one begin value is defined for this element.
- `VOID` if no begin behavior is defined for this element.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#adef-begin

## § Decelerate

double Decelerate
| attribute

defines the deceleration for this element.

Element time will deceleration from a run rate to a rate of 0 at the ending, over the course of the specified proportion of the simple duration.

Decelerate is a value between 0 (no deceleration) and 1 (deceleration from beginning of the elements duration).

See also
  http://www.w3.org/TR/smil20/smil-timemanip.html#adef-decelerate

## § Duration

any Duration
| attribute

defines the length of the simple duration.

Duration is

- `double` specifies the length of the simple duration in seconds.
- Timing::INDEFINITE specifies the simple duration as indefinite.
- Timing::MEDIA specifies the simple duration as the intrinsic media duration. This is only valid for elements that define media.
- `VOID` the simple duration for the element is defined to be the implicit duration of the element.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#adef-dur

## § End

any End
| attribute

a sequence of values that define the ending of this element
End is

- `double` describes the element end as an offset in seconds from an implicit syncbase. The definition of the implicit syncbase depends upon the element's parent time container. The offset is measured in parent simple time.
- Event describes an event and an optional offset that determine the element end. The element end is defined relative to the time that the event is raised.
- Timing::INDEFINITE the end of the element will be determined by an external event to the element.
- sequence<any> a sequence of values described above if more than one begin value is defined for this element.
- `VOID` if no end behavior is defined for this element.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#adef-end

## § EndSync

any EndSync
| attribute

controls the implicit duration of time containers, as a function of the children.

The EndSync attribute is only valid for par and excl time container elements, and media elements with timed children (e.g. animate or area elements).

EndSync is either a `short` constant from EndSync, an interface reference to a child XTimeContainer or `VOID`.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#adef-endsync

## § Fill

short Fill
| attribute

the attribute that specify the behavior how an element should be extended beyond the active duration by freezing the final state of the element.

Fill is a value from AnimationFill.

See also
  Fill
  http://www.w3.org/TR/smil20/smil-timing.html#adef-fill

## § FillDefault

short FillDefault
| attribute

the default value for the fill behavior for this element and all descendants.

FillDefault is

- The values AnimationFill::REMOVE, AnimationFill::FREEZE, AnimationFill::HOLD, AnimationFill::TRANSITION and AnimationFill::AUTO specify that the element fill behavior is the respective value.
- The value AnimationFill::INHERIT specifies that the value of this attribute (and of the fill behavior) are inherited from the FillDefault value of the parent element. If there is no parent element, the value is AnimationFill::AUTO.

See also
  Fill
  http://www.w3.org/TR/smil20/smil-timing.html#adef-fillDefault

## § RepeatCount

any RepeatCount
| attribute

the number of iterations of the simple duration.

RepeatCount is

- `double` this is a numeric value that specifies the number of iterations. It can include partial iterations expressed as fraction values. A fractional value describes a portion of the simple duration. Values must be greater than 0.
- Timing::INDEFINITE the element is defined to repeat indefinitely (subject to the constraints of the parent time container).
- `VOID` no repeat count is defined for this element.

See also
  EndSync
  http://www.w3.org/TR/smil20/smil-timing.html#adef-repeatCount

## § RepeatDuration

any RepeatDuration
| attribute

the total duration for repeat.

RepeatDuration is

- `double` specifies the duration in element active time to repeat the simple duration in seconds.
- Timing::INDEFINITE the element is defined to repeat indefinitely (subject to the constraints of the parent time container).
- `VOID` No repeat duration is defined for this element.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#adef-repeatDur

## § Restart

short Restart
| attribute

defines the restart behavior of this element.

Restart is a `short` value from AnimationRestart.

See also
  AnimationRestart
  http://www.w3.org/TR/smil20/smil-timing.html#adef-restart

## § RestartDefault

short RestartDefault
| attribute

defines the default restart behavior for this element and all descendants.

Returns
  a value from Restart.

See also
  AnimationRestart
  http://www.w3.org/TR/smil20/smil-timing.html#adef-restartDefault

## § Type

short Type
| attributereadonly

a value from AnimationNodeType.

See also
  http://www.w3.org/TR/smil20/smil-timing.html#adef-timeContainer

## § UserData

sequence< ::com::sun::star::beans::NamedValue > UserData
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XAnimationNode.idl